
QGIS Application - Feature request #19738

Add checkbox to mask deactivated layers in layout legend

2018-08-30 04:45 PM - Jérôme Seigneuret

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 27563

Description

Can you add a checkbox in layout to mask or render a desactived layer in legend box.

There is "Only show items inside current atlas feature"

On bottom you can add "Mask desactivated layers"

History

#1 - 2018-08-30 05:33 PM - Harrissou Santanna

- Subject changed from Add checkbox to mask desactivated layer in layout legend to Add checkbox to mask deactivated layers in layout legend

- Status changed from Open to Feedback

You also have a button "Filter legend by map content" (the yellow and blue one) which limits the legend to the displayed items (invisible layers are removed

but also invisible classes from visible layers - maybe, it filters more than what you need?...)

#2 - 2018-08-31 11:00 AM - Jérôme Seigneuret

Thanks but that is not what I need. I want all values classes for visible layer only. Actually I need delete layer and duplicate my QGIS project with one

layout for each project. Or set legend manually.

My other problem is XYZ layer title in legende. For that, I don't use legend auto and delete layer manually because I set XYZ name in text object for images

sources, others data in vectors sources.

#3 - 2018-08-31 11:02 AM - Giovanni Manghi

- Status changed from Feedback to Open

Jérôme Seigneuret wrote:

Thanks but that is not what I need. I want all values classes for visible layer only. Actually I need delete layer and duplicate my QGIS project with

one layout for each project. Or set legend manually.

My other problem is XYZ layer title in legende. For that, I don't use legend auto and delete layer manually because I set XYZ name in text object for

images sources, others data in vectors sources.

Please consider support the work needed to implement what you/your organization needs.
#4 - 2018-08-31 11:12 AM - Harrissou Santanna

- Status changed from Open to Feedback

Jérôme Seigneuret wrote:

Thanks but that is not what I need. I want all values classes for visible layer only. Actually I need delete layer and duplicate my QGIS project with

one layout for each project. Or set legend manually.

Duplicate of #13575?

#5 - 2018-08-31 11:54 AM - Jérôme Seigneuret

Please consider support the work needed to implement what you/your organization needs.

I don't understand... This problem is not in relation to me or my organization an XYZ basemaps dont have any legend so that is not the good place to set

information...

That is not a WMS or WMT with a legend content.

#6 - 2018-08-31 11:55 AM - Jérôme Seigneuret

Harrissou Santanna wrote:

Jérôme Seigneuret wrote:

Thanks but that is not what I need. I want all values classes for visible layer only. Actually I need delete layer and duplicate my QGIS project with

one layout for each project. Or set legend manually.

Duplicate of #13575?

OK this is in relation to...

#7 - 2018-08-31 04:25 PM - Giovanni Manghi

Jérôme Seigneuret wrote:

Please consider support the work needed to implement what you/your organization needs.

I don't understand... This problem is not in relation to me or my organization an XYZ basemaps dont have any legend so that is not the good place to

set information...

That is not a WMS or WMT with a legend content.

you said "Thanks but that is not what I need": when someone (or his/her organization) needs something in QGIS is still not possible is not unusual to see an

effort (code, funding, hiring a developer) to have this functionality implemented.
#8 - 2018-08-31 04:27 PM - Giovanni Manghi

this is in relation to...

related or just duplicate?

#9 - 2018-08-31 04:52 PM - Jérôme Seigneuret

Giovanni Manghi wrote:

you said "Thanks but that is not what I need": when someone (or his/her organization) needs something in QGIS is still not possible is not unusual to

see an effort (code, funding, hiring a developer) to have this functionality implemented.

Understoud

Giovanni Manghi wrote:

related or just duplicate?

Related because that don't take case of XYZ tiles but duplicate is OK for the rest

#10 - 2018-08-31 05:00 PM - Jérôme Seigneuret

I have also no effect with auto legend and desactivated layer.

For test I have 2 layers with same source. Twice point to shapefile twice use legend based on new representation (point displacement)

Add only show items inside current altas feature have no effect

#11 - 2018-08-31 06:28 PM - Harrissou Santanna

I have also no effect with auto legend and desactivated layer.

@Jérôme, Not sure I fully understand. Are these new issues? There are a couple of reports related to legend behavior; maybe you could do a search and

check whether it's already reported.

Related because that don't take case of XYZ tiles but duplicate is OK for the rest

The rule is to have reports as atomic as possible, ie in a report we focus on a single issue so that we know what we all are talking about and when that

issue is solved, we can close the report safely, without hiding any other issue that would have been reported in the discussion.

Given that the legend limitation was the initial issue reported, I'd suggest to close this report (as it duplicates #13575) and open a proper feature request

relative to the XYZ Tiles (it will give more highlight to the issue, btw).
#12 - 2018-09-02 05:06 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

Given that the legend limitation was the initial issue reported, I'd suggest to close this report (as it duplicates #13575) and open a proper feature

request relative to the XYZ Tiles (it will give more highlight to the issue, btw).

add comments about xyz layers in #13575
